Package de.gebit.integrity.ui.labeling

## Class DSLLabelProvider

- java.lang.Object
- - org.eclipse.core.commands.common.EventManager
  - - org.eclipse.jface.viewers.BaseLabelProvider
    - - org.eclipse.jface.viewers.LabelProvider
      - - org.eclipse.xtext.ui.label.AbstractLabelProvider
        - - org.eclipse.xtext.ui.label.DeclarativeLabelProvider
          - - org.eclipse.xtext.ui.label.DefaultEObjectLabelProvider
            - - de.gebit.integrity.ui.labeling.DSLLabelProvider

- All Implemented Interfaces:
    `org.eclipse.emf.edit.provider.IItemLabelProvider`, `org.eclipse.jface.viewers.DelegatingStyledCellLabelProvider.IStyledLabelProvider`, `org.eclipse.jface.viewers.IBaseLabelProvider`, `org.eclipse.jface.viewers.ILabelProvider`, `org.eclipse.xtext.ui.label.ILabelProviderImageDescriptorExtension`

      public class DSLLabelProvider
      extends org.eclipse.xtext.ui.label.DefaultEObjectLabelProvider

  Provides labels for a EObjects. see http://www.eclipse.org/Xtext/documentation/latest/xtext.html#labelProvider
  Author:
    Rene Schneider - initial API and implementation

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DSLLabelProvider​(org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider aDelegate)` | Creates a new instance.

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.xtext.ui.label.DefaultEObjectLabelProvider

      `doGetText, getLabelFeature`

    - ### Methods inherited from class org.eclipse.xtext.ui.label.DeclarativeLabelProvider

      `doGetImage, handleImageError, handleTextError, image, image, text, text`

    - ### Methods inherited from class org.eclipse.xtext.ui.label.AbstractLabelProvider

      `convertToImage, convertToImageDescriptor, convertToString, convertToStyledString, getDefaultImage, getDefaultStyledText, getDefaultText, getImage, getImageDescriptor, getStyledText, getText, setImageHelper`

    - ### Methods inherited from class org.eclipse.jface.viewers.LabelProvider

      `createImageProvider, createTextImageProvider, createTextProvider`

    - ### Methods inherited from class org.eclipse.jface.viewers.BaseLabelProvider

      `addListener, dispose, fireLabelProviderChanged, isLabelProperty, removeListener`

    - ### Methods inherited from class org.eclipse.core.commands.common.EventManager

      `addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.jface.viewers.IBaseLabelProvider

      `addListener, dispose, isLabelProperty, removeListener`

- - ### Constructor Detail

    - #### DSLLabelProvider

          @Inject
          public DSLLabelProvider​(org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider aDelegate)

      Creates a new instance.
      Parameters:
        `aDelegate` -